
# README.md

## Median housing value prediction
The housing data can be downloaded from https://raw.githubusercontent.com/ageron/handson-ml/master/. The script has codes to download the data. We have modelled the median house value on given housing data.

The following techniques have been used:

- Linear regression
- Decision Tree
- Random Forest

## Steps performed
- We prepare and clean the data. We check and impute for missing values.
- Features are generated and the variables are checked for correlation.
- Multiple sampling techinuqies are evaluated. The data set is split into train and test.
- All the above said modelling techniques are tried and evaluated. The final metric used to evaluate is mean squared error.

## To execute the script
```python nonstandardcode.py```

## To activate conda environment
```conda activate mle-dev```

## To create environment from yml file
```conda env create --name mle-dev --file=env.yml```

## Command to install isort in conda environment
```conda install isort```

## Command to install black in conda environment
```conda install black```

## Command to install flake8 in conda environment
```conda install flake8```

## Command to refactor python code with isort 
``` isort nonstandardcode.py```

## Command to refactor python code with black
``` black nonstandardcode.py```

## Command to refactor python code with flake8
``` flake8 nonstandardcode.py```

